Zu Hauptinhalt wechseln

Dieser Browser wird nicht mehr unterstützt.

Führen Sie ein Upgrade auf Microsoft Edge durch, um die neuesten Features, Sicherheitsupdates und den technischen Support zu nutzen.

Microsoft Edge herunterladen Weitere Informationen zu Internet Explorer und Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Assistants

Update an assistant

POST /openai/v1/assistants/{assistant_id} Als veraltet markiert

Updates an assistant with the supplied changes.

Pfadparameter

assistant_id string Erforderlich Als veraltet markiert

The ID of the assistant to modify.

Anforderungstext

The request body.

Content-Type: application/json
model string | enum Als veraltet markiert

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

Eines der folgenden Elemente:
string Als veraltet markiert
enum Als veraltet markiert
gpt-5gpt-5-minigpt-5-nanogpt-5-2025-08-07gpt-5-mini-2025-08-07gpt-5-nano-2025-08-07gpt-4.1gpt-4.1-minigpt-4.1-nanogpt-4.1-2025-04-14gpt-4.1-mini-2025-04-14gpt-4.1-nano-2025-04-14o3-minio3-mini-2025-01-31o1o1-2024-12-17gpt-4ogpt-4o-2024-11-20gpt-4o-2024-08-06gpt-4o-2024-05-13gpt-4o-minigpt-4o-mini-2024-07-18gpt-4.5-previewgpt-4.5-preview-2025-02-27gpt-4-turbogpt-4-turbo-2024-04-09gpt-4-0125-previewgpt-4-turbo-previewgpt-4-1106-previewgpt-4-vision-previewgpt-4gpt-4-0314gpt-4-0613gpt-4-32kgpt-4-32k-0314gpt-4-32k-0613gpt-3.5-turbogpt-3.5-turbo-16kgpt-3.5-turbo-0613gpt-3.5-turbo-1106gpt-3.5-turbo-0125gpt-3.5-turbo-16k-0613
reasoning_effort string | enum | null Als veraltet markiert

Constrains effort on reasoning for reasoning models. Currently supported values are none, minimal, low, medium, high, xhigh, and max. Reducing reasoning effort can result in faster responses and fewer tokens used on reasoning in a response. Not all reasoning models support every value. See the reasoning guide for model-specific support.

Eines der folgenden Elemente:
string Als veraltet markiert
enum Als veraltet markiert
noneminimallowmediumhighxhighmax
name string | null Als veraltet markiert
description string | null Als veraltet markiert
instructions string | null Als veraltet markiert
tools OpenAI.AssistantTool[] Als veraltet markiert

A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types code_interpreter, file_search, or function.

tool_resources OpenAI.ModifyAssistantRequestToolResources | null Als veraltet markiert
code_interpreter OpenAI.ModifyAssistantRequestToolResourcesCodeInterpreter Als veraltet markiert
file_ids string[] Als veraltet markiert
file_search OpenAI.ModifyAssistantRequestToolResourcesFileSearch Als veraltet markiert
vector_store_ids string[] Als veraltet markiert
metadata OpenAI.Metadata | null Als veraltet markiert

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string Als veraltet markiert
temperature number | null Als veraltet markiert
top_p number | null Als veraltet markiert
response_format enum | OpenAI.ResponseFormatText | OpenAI.ResponseFormatJsonObject | OpenAI.ResponseFormatJsonSchema | null Als veraltet markiert

Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106. Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide. Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important:* when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.

Eins der folgenden:
enum Als veraltet markiert
auto
type enum Erforderlich Als veraltet markiert

The type of response format being defined. Always text.

text
type enum Erforderlich Als veraltet markiert

The type of response format being defined. Always json_object.

json_object
type enum Erforderlich Als veraltet markiert

The type of response format being defined. Always json_schema.

json_schema
json_schema OpenAI.ResponseFormatJsonSchemaJsonSchema Erforderlich Als veraltet markiert
description string Als veraltet markiert
name string Erforderlich Als veraltet markiert
schema OpenAI.ResponseFormatJsonSchemaSchema Als veraltet markiert

The schema for the response format, described as a JSON Schema object. Learn how to build JSON schemas here.

strict boolean | null Als veraltet markiert

Antworten

The request has succeeded.

Text

Content-Type: application/json
id string Erforderlich Als veraltet markiert

The identifier, which can be referenced in API endpoints.

object enum Erforderlich Als veraltet markiert

The object type, which is always assistant.

assistant
created_at integer Erforderlich Als veraltet markiert

The Unix timestamp (in seconds) for when the assistant was created.

name string | null Erforderlich Als veraltet markiert
description string | null Erforderlich Als veraltet markiert
model string Erforderlich Als veraltet markiert

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

instructions string | null Erforderlich Als veraltet markiert
tools OpenAI.AssistantTool[] Erforderlich Als veraltet markiert

A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types code_interpreter, file_search, or function.

tool_resources OpenAI.AssistantObjectToolResources | null Als veraltet markiert
code_interpreter OpenAI.AssistantObjectToolResourcesCodeInterpreter Als veraltet markiert
file_ids string[] Als veraltet markiert
file_search OpenAI.AssistantObjectToolResourcesFileSearch Als veraltet markiert
vector_store_ids string[] Als veraltet markiert
metadata OpenAI.Metadata | null Erforderlich Als veraltet markiert

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string Als veraltet markiert
temperature number | null Als veraltet markiert
top_p number | null Als veraltet markiert
response_format enum | OpenAI.ResponseFormatText | OpenAI.ResponseFormatJsonObject | OpenAI.ResponseFormatJsonSchema | null Als veraltet markiert

Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106. Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide. Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important:* when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.

Eins der folgenden:
enum Als veraltet markiert
auto
type enum Erforderlich Als veraltet markiert

The type of response format being defined. Always text.

text
type enum Erforderlich Als veraltet markiert

The type of response format being defined. Always json_object.

json_object
type enum Erforderlich Als veraltet markiert

The type of response format being defined. Always json_schema.

json_schema
json_schema OpenAI.ResponseFormatJsonSchemaJsonSchema Erforderlich Als veraltet markiert
description string Als veraltet markiert
name string Erforderlich Als veraltet markiert
schema OpenAI.ResponseFormatJsonSchemaSchema Als veraltet markiert

The schema for the response format, described as a JSON Schema object. Learn how to build JSON schemas here.

strict boolean | null Als veraltet markiert

Client error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich Als veraltet markiert
code string | null Erforderlich Als veraltet markiert
message string Erforderlich Als veraltet markiert
param string | null Als veraltet markiert
type string Als veraltet markiert
misalignment OpenAI.MisalignmentErrorDetailsResource Als veraltet markiert
review_target string | null Als veraltet markiert
error_type string | enum Als veraltet markiert
Eines der folgenden Elemente:
string Als veraltet markiert
enum Als veraltet markiert
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Als veraltet markiert

The public explanation for this block.

steer OpenAI._MisalignmentSteer Als veraltet markiert
message string Erforderlich Als veraltet markiert

The public continuation instruction.

details OpenAI.Error[] Als veraltet markiert
additionalInfo object Als veraltet markiert
debugInfo object Als veraltet markiert

Server error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich Als veraltet markiert
code string | null Erforderlich Als veraltet markiert
message string Erforderlich Als veraltet markiert
param string | null Als veraltet markiert
type string Als veraltet markiert
misalignment OpenAI.MisalignmentErrorDetailsResource Als veraltet markiert
review_target string | null Als veraltet markiert
error_type string | enum Als veraltet markiert
Eines der folgenden Elemente:
string Als veraltet markiert
enum Als veraltet markiert
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Als veraltet markiert

The public explanation for this block.

steer OpenAI._MisalignmentSteer Als veraltet markiert
message string Erforderlich Als veraltet markiert

The public continuation instruction.

details OpenAI.Error[] Als veraltet markiert
additionalInfo object Als veraltet markiert
debugInfo object Als veraltet markiert

Anfordern

curl https://api.openai.com/v1/assistants/asst_abc123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -d '{
      "instructions": "You are an HR bot, and you have access to files to answer employee questions about company policies. Always response with info from either of the files.",
      "tools": [{"type": "file_search"}],
      "model": "gpt-4o"
    }'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
assistant = client.beta.assistants.update(
    assistant_id="assistant_id",
)
print(assistant.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const myUpdatedAssistant = await openai.beta.assistants.update(
    "asst_abc123",
    {
      instructions:
        "You are an HR bot, and you have access to files to answer employee questions about company policies. Always response with info from either of the files.",
      name: "HR Helper",
      tools: [{ type: "file_search" }],
      model: "gpt-4o"
    }
  );

  console.log(myUpdatedAssistant);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const assistant = await client.beta.assistants.update('assistant_id');

console.log(assistant.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    assistant, err := client.Beta.Assistants.Update(
        context.TODO(),
        "assistant_id",
        openai.BetaAssistantUpdateParams{},
    )
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", assistant.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.assistants.Assistant;
import com.openai.models.beta.assistants.AssistantUpdateParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        Assistant assistant = client.beta().assistants().update("assistant_id");
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

assistant = openai.beta.assistants.update("assistant_id")

puts(assistant)

Antwort

{
  "id": "asst_123",
  "object": "assistant",
  "created_at": 1699009709,
  "name": "HR Helper",
  "description": null,
  "model": "gpt-4o",
  "instructions": "You are an HR bot, and you have access to files to answer employee questions about company policies. Always response with info from either of the files.",
  "tools": [
    {
      "type": "file_search"
    }
  ],
  "tool_resources": {
    "file_search": {
      "vector_store_ids": []
    }
  },
  "metadata": {},
  "top_p": 1.0,
  "temperature": 1.0,
  "response_format": "auto"
}
de-de
Ihre Datenschutzoptionen
  • KI-Haftungsausschluss
  • Frühere Versionen
  • Blog
  • Mitwirken
  • Datenschutz
  • Consumer Health Privacy
  • Nutzungsbedingungen
  • Impressum
  • Marken
  • © Microsoft 2026